# 🕰 PicoClock

### Ayala & Ido's Clock 


![PicoClock in the dark](picoclock.jpg "picoclock")

#### Configuration
- Connect to the PicoClock's WiFi network (SSID `PicoClock`, Password: ********)
- Open your browser and head over to `http://192.168.4.1`
- From there you should sync the PicoClock time with yout phone/laptop by clicking on the `Set Time` button

Then you can configure time for day/night or manually toggle the lights as you please.

#### RaspberryPi Pico setup
This setup is very stright forward. PIO's used:
##### Day Time
 - PIO..
##### Night time
 - PIO..

And that's it. To add/change PIO please take a look [here](https://git.dayanhub.com/sagi/pico-w-clock/src/branch/main/io_state.py#L16). Simply add the pins to the arrays `self._day_pins` and `self._night_pins`

![screenshot of the web interface](screenshot_web.jpg "Web client")


Made with ❤️ by <a href="mailto:picoclock@sagi.dayanhub.com">ZeGoomba</a>.

